Get all recurring resident charges
https://api.propexo.com/v1/recurring-resident-charges/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the lease
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the recurring resident charge
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
asf32uhfs73243hfh2s771hgfThe external ID of the property from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
100The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for MRI
nullThe external ID of the charge code from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
BRKThe external ID of the financial account from the integration vendor
This field will always be null for MRI
nullThe external ID of the lease from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
0000000022The total amount of the recurring resident charge
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
1000The raw value for amount from the PMS
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
1000.00Whether the recurring resident charge is active
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
trueDescription of the recurring resident charge
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
ParkingThe reference number for the recurring resident charge
This field will always be null for MRI
nullThe start date associated with the recurring resident charge
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
2021-01-01T00:00:00.000ZThe end date associated with the recurring resident charge
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
2021-01-01T00:00:00.000ZThe raw value of the frequency of the recurring resident charge
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
MThe frequency of the recurring resident charge
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
Show 4 enum values
OTHERWEEKLYMONTHLYDAILYMONTHLYThe due date associated with the recurring resident charge
This field will always be null for MRI
nullcustom_data object | nullrequired
The Propexo unique identifier for the financial account
This field will always be null for MRI
nullThe Propexo unique identifier for the lease
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
cmd67vzlg000207l4hkdedl84:100:0000000022The Propexo unique identifier for the charge code
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_RecurringCharges |
cmd67vzlg000207l4hkdedl84:na:BRKThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
MRIAPPFOLIOBUILDIUMENTRATAPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTMRIThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/recurring-resident-charges/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "asf32uhfs73243hfh2s771hgf",
"x_property_id": "100",
"x_location_id": null,
"x_charge_code_id": "BRK",
"x_financial_account_id": null,
"x_lease_id": "0000000022",
"amount_in_cents": 1000,
"amount_raw": "1000.00",
"is_active": true,
"description": "Parking",
"reference_number": null,
"start_date": "2021-01-01T00:00:00.000Z",
"end_date": "2021-01-01T00:00:00.000Z",
"frequency_raw": "M",
"frequency_normalized": "MONTHLY",
"charge_due_day": null,
"custom_data": "Unknown Type: object,null",
"financial_account_id": null,
"lease_id": "cmd67vzlg000207l4hkdedl84:100:0000000022",
"charge_code_id": "cmd67vzlg000207l4hkdedl84:na:BRK",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "MRI",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}